# Class CIM_CompositeExtentBasedOn
extends CIM_BasedOn

This specialization defines how data is striped across StorageExtents. Additionally, it includes information on distribution of check data so that the 'usual case' RAID devices can be created in one step.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_BasedOn
|
+--CIM_CompositeExtentBasedOn

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
ClassConstraint | string | inv: self.Dependent.IsComposite = true
Description | string | This specialization defines how data is striped across StorageExtents. Additionally, it includes information on distribution of check data so that the 'usual case' RAID devices can be created in one step.
UMLPackagePath | string | CIM::Device::StorageExtents
Version | string | 2.19.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BlockSize | uint64 |
Description | string | The Dependent's BlockSize is limited by the Antecedent's. In SCSI SCC, this is equivalent to the NUMBER OF BYTES PER LBA_PS field in the RedundancyGroup P_Extent Descriptor.
MappingStrings | string | MIF.DMTF|Protected Space Extent|001.4
ModelCorrespondence | string | CIM_StorageExtent.BlockSize
PUnit | string | byte
Units | string | Bytes
LBAMappingIncludesCheckData | boolean |
Description | string | True if the logical block mapping algorithm includes check data bytes. This property corresponds to the NOCHKSKIP attribute in the SCC-2 Volume Set PS_Extent Descriptor.
LBAsMappedByDecrementing | boolean |
Description | string | True if logical blocks in the underlying StorageExtents are mapped in decrementing order. This property corresponds to the INCDEC value in the SCSI SCC-2 Volume Set PS_Extent Descriptor.
NumberOfBlocks | uint64 |
Description | string | The total number of blocks that will be consumed on the Dependent Extent. This is limited by the Antecedent's NumberOfBlocks, but is included explicitly to provide for the DMTF MIF mapping. In SCSI SCC, this is equivalent to the NUMBER OF LBA_PS(s) field in the Volume Set PS_Extent Descriptor.
MappingStrings | string | MIF.DMTF|Protected Space Extent|001.3
ModelCorrespondence | string | CIM_StorageExtent.NumberOfBlocks
OrderIndex | uint16 |

Description

string

Order matters to composite extents. An example of the use of this property is when defining a RAID-0 striped array of 3 disks. The resultant RAID array is a composite extent that is dependent on (as described by CompositeExtentBasedOn) the StorageExtents that represent each of the 3 disks. The OrderIndex of each CompositeExtentBasedOn association from the disk Extents to the RAID array could be specified as 1, 2 and 3 to indicate the order in which the disk Extents are used to access the RAID data.

MappingStrings | string | MIF.DMTF|Protected Space Extent|001.1
Override | string | OrderIndex
Required | boolean | true
UnitsBeforeCheckDataInterleave | uint64 |
Description | string | Number of bytes of user data to skip before starting the check data interleave.
MappingStrings | string | MIF.DMTF|Physical Extent|001.6
PUnit | string | byte
Units | string | Bytes
UnitsOfCheckData | uint64 |
Description | string | Number of bytes to be reserved for check data.
MappingStrings | string | MIF.DMTF|Physical Extent|001.7
PUnit | string | byte
Units | string | Bytes
UnitsOfUserData | uint64 |
Description | string | Number of bytes to be reserved for user data.
MappingStrings | string | MIF.DMTF|Physical Extent|001.8
PUnit | string | byte
Units | string | Bytes
UserDataStripeDepth | uint64 |
Description | string | Number of bytes which form the stripe size for the Dependent StorageExtent. If the CompositeExtent is concatenated instead of striped, then UserDataStripeDepth should be set to zero.
MappingStrings | string | MIF.DMTF|Protected Space Extent|001.6
PUnit | string | byte
Units | string | Bytes

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_CompositeExtentBasedOn | CIM_StorageExtent
Dependent | CIM_CompositeExtentBasedOn | CIM_StorageExtent

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
EndingAddress | uint64 | CIM_BasedOn
StartingAddress | uint64 | CIM_BasedOn

## Class Methods